Bullet Collision Detection & Physics Library: btPerturbedContactResult Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btPerturbedContactResult Struct Reference
Inheritance diagram for btPerturbedContactResult:
[legend]
Collaboration diagram for btPerturbedContactResult:
[legend]

## Public Member Functions
| btPerturbedContactResult (btManifoldResult *originalResult, const btTransform &transformA, const btTransform &transformB, const btTransform &unPerturbedTransform, bool perturbA, btIDebugDraw *debugDrawer)
virtual | ~btPerturbedContactResult ()
virtual void | addContactPoint (const btVector3 &normalOnBInWorld, const btVector3 &pointInWorld, btScalar orgDepth)
Public Member Functions inherited from btManifoldResult
| btManifoldResult ()
| btManifoldResult (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap)
virtual | ~btManifoldResult ()
void | setPersistentManifold (btPersistentManifold *manifoldPtr)
const btPersistentManifold * | getPersistentManifold () const
btPersistentManifold * | getPersistentManifold ()
virtual void | setShapeIdentifiersA (int partId0, int index0)
| setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner
virtual void | setShapeIdentifiersB (int partId1, int index1)
void | refreshContactPoints ()
const btCollisionObjectWrapper * | getBody0Wrap () const
const btCollisionObjectWrapper * | getBody1Wrap () const
void | setBody0Wrap (const btCollisionObjectWrapper *obj0Wrap)
void | setBody1Wrap (const btCollisionObjectWrapper *obj1Wrap)
const btCollisionObject * | getBody0Internal () const
const btCollisionObject * | getBody1Internal () const
Public Member Functions inherited from btDiscreteCollisionDetectorInterface::Result
virtual | ~Result ()

## Public Attributes
btManifoldResult * | m_originalManifoldResult
btTransform | m_transformA
btTransform | m_transformB
btTransform | m_unPerturbedTransform
bool | m_perturbA
btIDebugDraw * | m_debugDrawer
Public Attributes inherited from btManifoldResult
btScalar | m_closestPointDistanceThreshold

## Additional Inherited Members
Static Public Member Functions inherited from btManifoldResult
static btScalar | calculateCombinedRestitution (const btCollisionObject *body0, const btCollisionObject *body1)
| in the future we can let the user override the methods to combine restitution and friction
static btScalar | calculateCombinedFriction (const btCollisionObject *body0, const btCollisionObject *body1)
| User can override this material combiner by implementing gContactAddedCallback and setting body0->m_collisionFlags |= btCollisionObject::customMaterialCallback;.
static btScalar | calculateCombinedRollingFriction (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedSpinningFriction (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedContactDamping (const btCollisionObject *body0, const btCollisionObject *body1)
static btScalar | calculateCombinedContactStiffness (const btCollisionObject *body0, const btCollisionObject *body1)
Protected Attributes inherited from btManifoldResult
btPersistentManifold * | m_manifoldPtr
const btCollisionObjectWrapper * | m_body0Wrap
const btCollisionObjectWrapper * | m_body1Wrap
int | m_partId0
int | m_partId1
int | m_index0
int | m_index1

## Detailed Description

Definition at line 215 of file btConvexConvexAlgorithm.cpp.

## Constructor & Destructor Documentation

## ◆ btPerturbedContactResult()

btPerturbedContactResult::btPerturbedContactResult | ( | btManifoldResult * | originalResult,
|  | const btTransform & | transformA,
|  | const btTransform & | transformB,
|  | const btTransform & | unPerturbedTransform,
|  | bool | perturbA,
|  | btIDebugDraw * | debugDrawer )
| inline

Definition at line 224 of file btConvexConvexAlgorithm.cpp.

## ◆ ~btPerturbedContactResult()

virtual btPerturbedContactResult::~btPerturbedContactResult | ( |  | ) |
| inlinevirtual

Definition at line 233 of file btConvexConvexAlgorithm.cpp.

## Member Function Documentation

## ◆ addContactPoint()

virtual void btPerturbedContactResult::addContactPoint | ( | const btVector3 & | normalOnBInWorld,
|  | const btVector3 & | pointInWorld,
|  | btScalar | orgDepth )
| inlinevirtual

Reimplemented from btManifoldResult.

Definition at line 237 of file btConvexConvexAlgorithm.cpp.

## Member Data Documentation

## ◆ m_debugDrawer

btIDebugDraw* btPerturbedContactResult::m_debugDrawer

Definition at line 222 of file btConvexConvexAlgorithm.cpp.

## ◆ m_originalManifoldResult

btManifoldResult* btPerturbedContactResult::m_originalManifoldResult

Definition at line 217 of file btConvexConvexAlgorithm.cpp.

## ◆ m_perturbA

bool btPerturbedContactResult::m_perturbA

Definition at line 221 of file btConvexConvexAlgorithm.cpp.

## ◆ m_transformA

btTransform btPerturbedContactResult::m_transformA

Definition at line 218 of file btConvexConvexAlgorithm.cpp.

## ◆ m_transformB

btTransform btPerturbedContactResult::m_transformB

Definition at line 219 of file btConvexConvexAlgorithm.cpp.

## ◆ m_unPerturbedTransform

btTransform btPerturbedContactResult::m_unPerturbedTransform

Definition at line 220 of file btConvexConvexAlgorithm.cpp.

The documentation for this struct was generated from the following file:

- btConvexConvexAlgorithm.cpp